transform2.hpp File Reference

Go to the source code of this file.

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | proj2D (mat< 3, 3, T, Q > const &m, vec< 3, T, Q > const &normal)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | proj3D (mat< 4, 4, T, Q > const &m, vec< 3, T, Q > const &normal)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | scaleBias (T scale, T bias)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | scaleBias (mat< 4, 4, T, Q > const &m, T scale, T bias)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | shearX2D (mat< 3, 3, T, Q > const &m, T y)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | shearX3D (mat< 4, 4, T, Q > const &m, T y, T z)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | shearY2D (mat< 3, 3, T, Q > const &m, T x)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | shearY3D (mat< 4, 4, T, Q > const &m, T x, T z)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | shearZ3D (mat< 4, 4, T, Q > const &m, T x, T y)

## Detailed Description

GLM_GTX_transform2

See also
  Core features (dependence)
  GLM_GTX_transform (dependence)

Definition in file transform2.hpp.